
Redmine - Feature #1112

Send notifications when issues come due

2008-04-25 22:28 - Carl Nygard

Status: Closed Start date: 2008-04-25

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed   

Description

This script is a standalone script meant to be run periodically (i.e. once daily) via crontab.  It can be given optional parameters for

filtering by projects and/or by tracker, and can look ahead for due dates a configurable number of days (default=3).

Usage

Usage: [--help] [--debug] [--project <projectName>] [--tracker <trackerName>] [--days <daysInFutur

e>]

 --help  show this help

 --debug show extra debug information

 --project   name of project to process

 --tracker   name of tracker for filtering issues

 --days      how many days in the future to whine about

 

Known issues

For some reason, the script does not grab the config.action_mailer.delivery_method from the ../config/environment.rb properly (all

other parameters seem to be ok), so the script checks the value and resets it to :smtp programatically.  If someone has a fix, please

help.

References

Originally mentioned on this forum thread.

Related issues:

Related to Redmine - Feature #1694: eMail reminder on ticket overdue New 2008-07-28

Related to Redmine - Feature #551: Reminder Closed

History

#1 - 2008-04-28 20:06 - Carl Nygard

- File redmine-whinemail.patch added

Forgot to add the patch that supplies the issue_due function required by the whinemail.rb script

#2 - 2008-04-30 22:49 - Carl Nygard

- File issue_due.text.html.rhtml added

- File issue_due.text.plain.rhtml added

And the templates that generate the email message

#3 - 2008-05-25 19:35 - Jean-Philippe Lang

It can be usefull indeed.

I've added a similar functionality in r1459, with a few differences:

only assignees are notified

each user receive a single mail with the list of the issues that are assigned to him and due in the next days

the script is written as a rake task
http://www.redmine.org/boards/1/topics/show/614
https://www.redmine.org/projects/redmine/repository/svn/revisions/1459


Days, project and tracker options are available.

More info by running:

rake -D redmine:send_reminders

 Carl, let me know what think.

#4 - 2008-11-11 10:38 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Files

whinemail.rb 3.19 KB 2008-04-25 Carl Nygard

redmine-whinemail.patch 870 Bytes 2008-04-28 Carl Nygard

issue_due.text.html.rhtml 175 Bytes 2008-04-30 Carl Nygard

issue_due.text.plain.rhtml 210 Bytes 2008-04-30 Carl Nygard
